# File

File management. Upload, retrieve and download files. Categorized by it's purpose. 

## Download file

 - [GET /file/{id}/download](https://docs.transportial.com/apis/file/download:file.md): Download file from ID

## Convert file to HTML

 - [POST /file/toMatrix](https://docs.transportial.com/apis/file/tomatrix:file.md): Convert file to HTML. Supported types are .pdf right now

## Download file via proxy

 - [GET /file/{id}/download:proxy](https://docs.transportial.com/apis/file/download:proxy:file.md): Download file from ID via API proxy. The API downloads the file from S3 and streams it to the client.

## Convert file to HTML

 - [POST /file/toHtml](https://docs.transportial.com/apis/file/tomatrix:file_1.md): Convert file to HTML. Supported types are .pdf right now

## Upload file

 - [POST /file/upload](https://docs.transportial.com/apis/file/upload:file.md): Upload a new file

## Get file

 - [GET /file/{id}](https://docs.transportial.com/apis/file/get:file.md): Get a file on id

